TLPS {cheddar} | R Documentation

## Trophic-link properties

### Description

Returns a `data.frame` of first-class and computed trophic-link properties.

### Usage

    TLPS(community, node.properties=NULL, link.properties=NULL)

### Arguments

`community` | an object of class `Community`.
`node.properties` | the names of the node properties to return. Should meet the criteria of the `properties` parameter of `NPS`.
`link.properties` | the names of link properties. These can be names of first-class properties (returned by `TrophicLinkPropertyNames`) and names of functions that take a `Community` object as the only parameter and return either a vector of length `NumberOfTrophicLinks` or a `matrix` or `data.frame` with `NumberOfTrophicLinks` rows.

### Details

This function is named TLPS for Trophic Link PropertieS. It returns a `data.frame` containing the columns 'resource' and 'consumer' and any requested properties.

### Value

A `data.frame` with `NumberOfTrophicLinks` rows.

### Author(s)

Lawrence Hudson

### See Also

`TrophicLinkPropertyNames`, `TLP`, `NumberOfTrophicLinks`, `NPS`, `Log10RCMRatio`, `ThreeNodeChains`, `TrophicChains`

### Examples

    data(TL84)

    # Just resource and consumer
    head(TLPS(TL84))

    # resource, consumer, resource.M and consumer.M
    head(TLPS(TL84, node.properties='M'))

    # Log10RCMRatio returns log10-transformed resource.M / consumer.M
    head(TLPS(TL84, node.properties='M', link.properties='Log10RCMRatio'))

    # Skipwith Pond has link.evidence and link.life.stage first-class properties
    data(SkipwithPond)
    head(TLPS(SkipwithPond))

    # resource, consumer and link.evidence
    head(TLPS(SkipwithPond, link.properties='link.evidence'))

    # Skipwith Pond has diet.fraction first-class property
    data(Benguela)
    head(TLPS(Benguela))

[Package cheddar version 0.1-633 Index]